#include <owl\applicat.h>
#include <owl\framewin.h>
#include "avidlg.h"
#pragma hdrstop

#define IDD_ABOUT	200
#define MENU_1	1
#define CM_ABOUT	102
#define CM_TEST	101

class TMyWindow : public TWindow {
	public:
		TMyWindow(TWindow* parent, const char far* title)
			: TWindow(parent, title) {};
	protected:
		void CmTest();
		void CmAbout();

		DECLARE_RESPONSE_TABLE(TMyWindow);
};

DEFINE_RESPONSE_TABLE1(TMyWindow, TWindow)
	EV_COMMAND(CM_TEST, CmTest),
	EV_COMMAND(CM_ABOUT, CmAbout),
END_RESPONSE_TABLE;

void TMyWindow::CmTest()
{
	TAviDialog(this, "inflit.avi", "", TRUE, FALSE).Execute();
}

void TMyWindow::CmAbout()
{
	TDialog(this, IDD_ABOUT).Execute();
}

class TTestApp : public TApplication {
	public:
		TTestApp(const char far* title) : TApplication(title) {}

		void InitMainWindow()
		{
			SetMainWindow(new TFrameWindow(0, "AVI Window Test Program",
				new TMyWindow(0,0)));
			GetMainWindow()->AssignMenu(MENU_1);
			//EnableCtl3d(TRUE);
		}
};

int OwlMain(int /*argc*/, char* /*argv*/ [])
{
	TTestApp app("Test App");
	int ret = app.Run();
	return ret;
}